<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.ds-map.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'fr',
  ),
  'this' => 
  array (
    0 => 'ds-map.filter.php',
    1 => 'Ds\\Map::filter',
  ),
  'up' => 
  array (
    0 => 'class.ds-map.php',
    1 => 'Ds\\Map',
  ),
  'prev' => 
  array (
    0 => 'ds-map.diff.php',
    1 => 'Ds\\Map::diff',
  ),
  'next' => 
  array (
    0 => 'ds-map.first.php',
    1 => 'Ds\\Map::first',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'fr',
    'path' => 'reference/ds/ds/map/filter.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="ds-map.filter" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">Ds\Map::filter</h1>
  <p class="verinfo">(PECL ds &gt;= 1.0.0)</p><p class="refpurpose"><span class="refname">Ds\Map::filter</span> &mdash; <span class="dc-title">
    Creer une nouvelle carte en utilisant un <span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> pour determiner quelles paires inclure
  </span></p>

 </div>

 <div class="refsect1 description" id="refsect1-ds-map.filter-description">
  <h3 class="title">Description</h3>
  <div class="methodsynopsis dc-description"><span class="modifier">public</span> <span class="methodname"><strong>Ds\Map::filter</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> <code class="parameter">$callback</code><span class="initializer"> = ?</span></span>): <span class="type"><a href="class.ds-map.php" class="type Ds\Map">Ds\Map</a></span></div>

  <p class="para rdfs-comment">
    Créer une nouvelle carte en utilisant un <span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> pour determiner quelles paires inclure.
  </p>

 </div>


 <div class="refsect1 parameters" id="refsect1-ds-map.filter-parameters">
  <h3 class="title">Liste de paramètres</h3>
  <dl>
   
    <dt><code class="parameter">callback</code></dt>
    <dd>
        <p class="para">
            <div class="methodsynopsis dc-description"><span class="methodname"><span class="replaceable">callback</span></span>(<span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$key</code></span>, <span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$value</code></span>): <span class="type"><a href="language.types.boolean.php" class="type bool">bool</a></span></div>

        </p>
        <p class="para">
            Un <span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> optionnel qui retourne <strong><code><a href="reserved.constants.php#constant.true">true</a></code></strong> si la paire doit être incluse, <strong><code><a href="reserved.constants.php#constant.false">false</a></code></strong> sinon.
        </p>
        <p class="para">
            Si aucune fonction de rappel n&#039;est fournie, seules les valeurs qui sont <strong><code><a href="reserved.constants.php#constant.true">true</a></code></strong>
            (voir <a href="language.types.boolean.php#language.types.boolean.casting" class="link">conversion en booléen</a>)
            seront incluses.
        </p>
    </dd>
   
  </dl>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-ds-map.filter-returnvalues">
  <h3 class="title">Valeurs de retour</h3>
  <p class="para">
    Une nouvelle carte contenant toutes les paires pour lesquelles
    soit le <code class="parameter">callback</code> a retourné <strong><code><a href="reserved.constants.php#constant.true">true</a></code></strong>, soit toutes les valeurs qui
    se convertissent en <strong><code><a href="reserved.constants.php#constant.true">true</a></code></strong> si un <code class="parameter">callback</code> n&#039;a pas été fourni.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-ds-map.filter-examples">
  <h3 class="title">Exemples</h3>
  <div class="example" id="example-4354">
   <p><strong>Exemple #1 Exemple de <span class="function"><strong>Ds\Map::filter()</strong></span> en utilisant une fonction de rappel</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$map </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Map</span><span style="color: #007700">([</span><span style="color: #DD0000">"a"</span><span style="color: #007700">, </span><span style="color: #DD0000">"b"</span><span style="color: #007700">, </span><span style="color: #DD0000">"c"</span><span style="color: #007700">, </span><span style="color: #DD0000">"d"</span><span style="color: #007700">, </span><span style="color: #DD0000">"e"</span><span style="color: #007700">]);<br /><br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$map</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">filter</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$key</span><span style="color: #007700">, </span><span style="color: #0000BB">$value</span><span style="color: #007700">) {<br />    return </span><span style="color: #0000BB">$key </span><span style="color: #007700">% </span><span style="color: #0000BB">2 </span><span style="color: #007700">== </span><span style="color: #0000BB">0</span><span style="color: #007700">;<br />}));<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>Résultat de l&#039;exemple ci-dessus est similaire à :</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">object(Ds\Map)#3 (3) {
  [0]=&gt;
  object(Ds\Pair)#2 (2) {
    [&quot;key&quot;]=&gt;
    int(0)
    [&quot;value&quot;]=&gt;
    string(1) &quot;a&quot;
  }
  [1]=&gt;
  object(Ds\Pair)#4 (2) {
    [&quot;key&quot;]=&gt;
    int(2)
    [&quot;value&quot;]=&gt;
    string(1) &quot;c&quot;
  }
  [2]=&gt;
  object(Ds\Pair)#5 (2) {
    [&quot;key&quot;]=&gt;
    int(4)
    [&quot;value&quot;]=&gt;
    string(1) &quot;e&quot;
  }
}</pre>
</div>
   </div>
  </div>
  <div class="example" id="example-4355">
   <p><strong>Exemple #2 Exemple de <span class="function"><strong>Ds\Map::filter()</strong></span> sans fonction de rappel</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$map </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Map</span><span style="color: #007700">([</span><span style="color: #DD0000">"a" </span><span style="color: #007700">=&gt; </span><span style="color: #0000BB">0</span><span style="color: #007700">, </span><span style="color: #DD0000">"b" </span><span style="color: #007700">=&gt; </span><span style="color: #0000BB">1</span><span style="color: #007700">, </span><span style="color: #DD0000">"c" </span><span style="color: #007700">=&gt; </span><span style="color: #0000BB">true</span><span style="color: #007700">, </span><span style="color: #DD0000">"d" </span><span style="color: #007700">=&gt; </span><span style="color: #0000BB">false</span><span style="color: #007700">]);<br /><br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$map</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">filter</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>Résultat de l&#039;exemple ci-dessus est similaire à :</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">object(Ds\Map)#2 (3) {
  [0]=&gt;
  int(1)
  [1]=&gt;
  string(1) &quot;a&quot;
  [2]=&gt;
  bool(true)
}</pre>
</div>
   </div>
  </div>
 </div>



</div><?php manual_footer($setup); ?>